
Foreman - Bug #25008

Foreman API host facts returns facts two times

09/21/2018 12:28 PM - Jan Pacak

Status: Resolved   

Priority: High   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.20.2

Triaged: No Found in Releases: 1.19.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The request:

https://{{foreman-url}}/api/v2/hosts/{{host-url}}/facts?per_page=3

Returns the facts two times: {

"total": 527,

"subtotal": 4,

"page": 1,

"per_page": 3,

"search": " host = {{host-url}}",

"sort": {

"by": null,

"order": null

},

"results": {

"{{host-url}}": {

"augeas": null,

"disks": null,

"dhcp_servers": null

},

"augeas": null,

"disks": null,

"dhcp_servers": null

}

}

This is in collision with Ansible foreman plugin to read inventory:

https://github.com/theforeman/foreman_ansible_inventory/blob/master/foreman_ansible_inventory.py

line 251-255 - one result is expected.

History

#1 - 09/21/2018 12:30 PM - Jan Pacak

- Category set to API

#2 - 01/04/2019 09:57 AM - Amit Karsale

Hello Jan,

I tried with the latest 1.20 version and I am not able to reproduce. Do you have any bindings to use 1.9 version?

#3 - 01/08/2019 10:03 AM - Jan Pacak

- Status changed from New to Resolved

- Fixed in Releases 1.20.2 added

- Found in Releases 1.19.1 added
https://{{foreman-url}}/api/v2/hosts/{{host-url}}/facts?per_page=3
https://github.com/theforeman/foreman_ansible_inventory/blob/master/foreman_ansible_inventory.py


- Found in Releases deleted (1.9.0)

Hi,

fixed in 1.20.1
